{stdenv, lib, fetchFromGitHub }:

stdenv.mkDerivation rec {
  pname = "exploitdb";
  version = "2021-07-02";

  src = fetchFromGitHub {
    owner = "offensive-security";
    repo = pname;
    rev = version;
    sha256 = "sha256-p6D0FM52SF4fnWXa/zpewr+lNWC4hZWc0yAQYnioUdQ=";
  };

  installPhase = ''
    mkdir -p $out/bin
    cp --recursive ./* $out/bin
    cp ./.searchsploit_rc $out/bin
  '';

  meta = with lib; {
    homepage = "https://github.com/offensive-security/exploitdb";
    description = "Archive of public exploits and corresponding vulnerable software";
    license = with licenses; [ gpl2Plus gpl3Plus mit ];
    maintainers = with maintainers; [ applePrincess ];
  };
}
